<div class="activity-h-bar line-border" *ngIf="activity.hasParent"></div>
<div class="activity-number" *ngIf="activity?.level != 1">
	{{activity?.activityNumber}}
</div>

<div class="activity-box activity-border"
	[wbs-activity-Color]="activity?.level"
	#activityCard 
	[ngClass]="{'activity-box-selected':activity.isSelected}">
	<table class="activity-card-table">
		<tr>
			<td class="activity-name">
				{{activity.name}}
			</td>
			<td class="show-actions-ico" (click)="showActionBtns()">
				<i class="material-icons" *ngIf="!isSelected">more_horiz</i>
				<i class="material-icons" *ngIf="isSelected">more_vert</i>
			</td>
		</tr>
		<tr>
			<td colspan="2" class="activity-charge">
				Charge: {{activity.estimatedCharge}} MD
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<label class="badge badge-info ">
					{{activity.advancement}}%
				</label>
				<label  [className]="getLabelCssClass(activity.spi)">
					SPI: {{activity.spi}}
				</label>
				<label  [className]="getLabelCssClass(activity.cpi)">
					CPI: {{activity.cpi}}
				</label>
			</td>
		</tr>
		<tr [ngClass]="{'activity-actions':true, 'show-activity-actions':activity.isSelected}">
			<td colspan="2">
				<i class="material-icons primary-action"
					placement="top"
					[ngbTooltip]="'Display'" 
					(click)="displayActivity()">more
				</i>
				<i class="material-icons primary-action" 
					placement="top" 
					[ngbTooltip]="'Edit'" 
					(click)="editActivity()">create
				</i>
				<i class="material-icons" 
					[ngClass]="{'disabled-action': activity.hasAssignement || activity.level == 5, 'primary-action': !activity.hasAssignement && activity.level != 5}"
					placement="top" 
					[ngbTooltip]="(!activity.hasAssignement && activity.level != 5) ? 'Add' : null" 
					(click)="(!activity.hasAssignement && activity.level != 5) && addActivity()">add
				</i>
				<i class="material-icons danger-action" 
					[ngClass]="{'disabled-action': activity.hasChilds, 'danger-action': !activity.hasChilds}"
					placement="top" 
					[ngbTooltip]="!activity.hasChilds ? 'Delete' : null" 
					(click)="!activity.hasChilds && deleteActivity()">close
				</i>
			</td>
		</tr>
	</table>

	<!-- <div class = "activity-actions" *ngIf="isSelected">
		<button class="btn btn-danger btn-danger btn-icon ripple activity-actions-btn f-left"
				[disabled]="activity.hasChilds"
				(click)="deleteActivity()">
			<i class="material-icons activity-actions-ico">close</i>
		</button>

		<button class="btn btn-success btn-success btn-icon ripple activity-actions-btn f-right"
				(click)="viewActivity()">
			<i class="material-icons activity-actions-ico">info</i>
		</button>

		<button class="btn btn-primary btn-primary btn-icon ripple activity-actions-btn f-right"
				(click)="editActivity()">
			<i class="material-icons activity-actions-ico">edit</i>
		</button>
		<button class="btn btn-success btn-success btn-icon ripple activity-actions-btn f-right"
				[disabled]="activity.hasAssignement || activity.level == 5"
				(click)="addActivity()">
			<i class="material-icons activity-actions-ico">add</i>
		</button>
	</div> -->

</div>
<div *ngIf="activity.hasChilds" class="showChilds-icon">
	<i class="material-icons" *ngIf="!activity.showChilds" (click)="showChilds(true)"> add_circle_outline</i>
	<i class="material-icons" *ngIf="activity.showChilds" (click)="showChilds(false)"> remove_circle_outline</i>
</div>

<div class="activity-h-bar line-border" *ngIf="activity.hasChilds && activity.showChilds"></div>





